## org.apache.cassandra.cql.jdbc
Class JdbcDecimal

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.math.BigDecimal>
          org.apache.cassandra.cql.jdbc.JdbcDecimal

    public class JdbcDecimal

extends AbstractJdbcType<java.math.BigDecimal>

Field Summary
`static JdbcDecimal` `instance`

Method Summary
`java.math.BigDecimal` `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` `decompose(java.math.BigDecimal value)` The bytes of the ByteBuffer are made up of 4 bytes of int containing the scale followed by the n bytes it takes to store a BigInteger.
`int` `getJdbcType()`
`int` `getPrecision(java.math.BigDecimal obj)`
`int` `getScale(java.math.BigDecimal obj)`
`java.lang.String` `getString(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.math.BigDecimal>` `getType()`
`boolean` `isCaseSensitive()`
`boolean` `isCurrency()`
`boolean` `isSigned()`
`boolean` `needsQuotes()`
`java.lang.String` `toString(java.math.BigDecimal obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final JdbcDecimal instance

Method Detail

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in class `AbstractJdbcType<java.math.BigDecimal>`

### getScale

    public int getScale(java.math.BigDecimal obj)

  Specified by:
    `getScale` in class `AbstractJdbcType<java.math.BigDecimal>`

### getPrecision

    public int getPrecision(java.math.BigDecimal obj)

  Specified by:
    `getPrecision` in class `AbstractJdbcType<java.math.BigDecimal>`

### isCurrency

    public boolean isCurrency()

  Specified by:
    `isCurrency` in class `AbstractJdbcType<java.math.BigDecimal>`

### isSigned

    public boolean isSigned()

  Specified by:
    `isSigned` in class `AbstractJdbcType<java.math.BigDecimal>`

### toString

    public java.lang.String toString(java.math.BigDecimal obj)

  Specified by:
    `toString` in class `AbstractJdbcType<java.math.BigDecimal>`

### needsQuotes

    public boolean needsQuotes()

  Specified by:
    `needsQuotes` in class `AbstractJdbcType<java.math.BigDecimal>`

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Specified by:
    `getString` in class `AbstractJdbcType<java.math.BigDecimal>`

### getType

    public java.lang.Class<java.math.BigDecimal> getType()

  Specified by:
    `getType` in class `AbstractJdbcType<java.math.BigDecimal>`

### getJdbcType

    public int getJdbcType()

  Specified by:
    `getJdbcType` in class `AbstractJdbcType<java.math.BigDecimal>`

### compose

    public java.math.BigDecimal compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractJdbcType<java.math.BigDecimal>`

### decompose

    public java.nio.ByteBuffer decompose(java.math.BigDecimal value)

  The bytes of the ByteBuffer are made up of 4 bytes of int containing the scale followed by the n bytes it takes to store a BigInteger.

  Specified by:
    `decompose` in class `AbstractJdbcType<java.math.BigDecimal>`

Copyright © 2013 The Apache Software Foundation